- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
WPS8ParserInternal::TableRecursionGuard Class Reference

## Public Member Functions
| TableRecursionGuard (std::deque< int > &stack, const int id)
| ~TableRecursionGuard ()

## Private Member Functions
| TableRecursionGuard (const TableRecursionGuard &)
TableRecursionGuard & | operator= (const TableRecursionGuard &)

## Private Attributes
std::deque< int > & | m_stack

## Constructor & Destructor Documentation

WPS8ParserInternal::TableRecursionGuard::TableRecursionGuard | ( | const TableRecursionGuard & |  | ) |
| private

WPS8ParserInternal::TableRecursionGuard::TableRecursionGuard | ( | std::deque< int > & | stack,
|  | const int | id
| ) |  |
| inline

WPS8ParserInternal::TableRecursionGuard::~TableRecursionGuard | ( |  | ) |
| inline

## Member Function Documentation

TableRecursionGuard& WPS8ParserInternal::TableRecursionGuard::operator= | ( | const TableRecursionGuard & |  | ) |
| private

## Member Data Documentation

std::deque<int>& WPS8ParserInternal::TableRecursionGuard::m_stack
| private

The documentation for this class was generated from the following file:

- WPS8.cpp